--- old/usr/src/man/man4/ssh_config.sunssh.4	2016-08-16 20:42:41.797803201 -0400
+++ /dev/null	2016-08-16 20:42:41.000000000 -0400
@@ -1,909 +0,0 @@
-'\" te
-.\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved.
-.\" Copyright (c) 2013, Joyent, Inc. All Rights Reserved.
-.\" To view Portions Copyright for OpenSSH, the default path is /var/sadm/pkg/SUNWsshdr/install/copyright. If the Solaris operating environment has been installed anywhere other than the default, modify the specified path to access the file at the installed location.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
-.\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
-.\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SSH_CONFIG 4 "Jan 17, 2013"
-.SH NAME
-ssh_config \- ssh configuration file
-.SH SYNOPSIS
-.LP
-.nf
-\fB/etc/ssh/ssh_config\fR
-.fi
-
-.LP
-.nf
-\fB$HOME/.ssh/config\fR
-.fi
-
-.SH DESCRIPTION
-.LP
-The first \fBssh_config\fR path, above, provides the system-wide defaults for
-\fBssh\fR(1). The second version is user-specific defaults for \fBssh\fR.
-.sp
-.LP
-\fBssh\fR obtains configuration data from the following sources, in this order:
-command line options, user's configuration file (\fB$HOME/.ssh/config\fR), and
-system-wide configuration file (\fB/etc/ssh/ssh_config\fR). For each parameter,
-the first obtained value is used. The configuration files contain sections
-bracketed by \fBHost\fR specifications, and that section is applied only for
-hosts that match one of the patterns given in the specification. The matched
-host name is the one given on the command line.
-.sp
-.LP
-Since the first obtained value for each parameter is used, host-specific
-declarations should be given near the beginning of the file, and general
-defaults at the end.
-.sp
-.LP
-The configuration file has the following format and syntax:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Empty lines and lines starting with \fB#\fR are comments.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Non-commented lines are of the form:
-.sp
-.in +2
-.nf
-\fIkeyword\fR \fIarguments\fR
-.fi
-.in -2
-.sp
-
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Configuration options can be separated by white space or optional whitespace
-and exactly one equal sign. The latter format allows you to avoid the need to
-quote white space when specifying configuration options using the \fB-o\fR
-option to \fBssh\fR, \fBscp\fR, and \fBsftp\fR.
-.RE
-.sp
-.LP
-The possible keywords and their meanings are listed in the following
-list.Keywords are case-insensitive and arguments are case-sensitive.
-.sp
-.ne 2
-.na
-\fB\fBBatchMode\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument must be \fByes\fR or \fBno\fR. If set to \fByes\fR,
-passphrase/password querying is disabled. This option is useful in scripts and
-other batch jobs where you have no user to supply the password.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBBindAddress\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specify the interface to transmit from on machines with multiple interfaces or
-aliased addresses. This option does not work if \fBUsePrivilegedPort\fR is set
-to \fByes\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCheckHostIP\fR\fR
-.ad
-.sp .6
-.RS 4n
-If this flag is set to \fByes\fR, \fBssh\fR additionally checks the host IP
-address in the \fBknown_hosts\fR file. This allows \fBssh\fR to detect if a
-host key changed due to DNS spoofing. If the option is set to \fBno\fR, the
-check is not executed.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCipher\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the cipher to use for encrypting the session in protocol version 1.
-Only a single cipher can be specified. Currently, \fBblowfish, 3des,\fR and
-\fBdes\fR are supported. \fB3des\fR (triple-\fBdes\fR) is an
-encrypt-decrypt-encrypt triple with three different keys. It is believed to be
-secure. \fBblowfish\fR is a fast block cipher. It appears very secure and is
-much faster than \fB3des\fR. \fBdes\fR is only supported in the \fBssh\fR
-client for interoperability with legacy protocol 1 implementations that do not
-support the \fB3des\fR cipher. Its use is strongly discouraged due to
-cryptographic weaknesses. The default is \fB3des\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCiphers\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the ciphers allowed for protocol version 2 in order of preference.
-Multiple ciphers must be comma separated.
-.sp
-The default cipher list contains all supported ciphers in this order:
-.sp
-.in +2
-.nf
-aes128-ctr, aes192-ctr, aes256-ctr, arcfour128, arcfour256, arcfour, aes128-cbc,
-aes192-cbc, aes256-cbc, arcfour, 3des-cbc,blowfish-cbc
-.fi
-.in -2
-.sp
-
-While CBC modes are not considered as secure as other modes in connection with
-the SSH protocol 2 they are present at the back of the default client cipher
-list for backward compatibility with SSH servers that do not support other
-cipher modes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBClearAllForwardings\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies that all local, remote, and dynamic port forwardings specified in the
-configuration files or on the command line be cleared. This option is primarily
-useful when used from the \fBssh\fR command line to clear port forwardings set
-in configuration files and is automatically set by \fBscp\fR(1) and
-\fBsftp\fR(1). The argument must be \fByes\fR or \fBno\fR. The default is
-\fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCompression\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to use compression. The argument must be \fByes\fR or
-\fBno\fR. Defaults to \fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCompressionLevel\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the compression level to use if compression is enabled. The argument
-must be an integer from 1 (fast) to 9 (slow, best). The default level is 6,
-which is good for most applications. This option applies to protocol version 1
-only.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBConnectionAttempts\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the number of tries (one per second) to make before falling back to
-\fBrsh\fR or exiting. The argument must be an integer. This can be useful in
-scripts if the connection sometimes fails. The default is 1.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBConnectTimeout\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the timeout (in seconds) used when connecting to the \fBssh\fR
-server, instead of using the default system TCP timeout. This value is used
-only when the target is down or truly unreachable, not when it refuses the
-connection.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDisableBanner\fR\fR
-.ad
-.sp .6
-.RS 4n
-If set to \fByes\fR, disables the display of the banner message. If set to
-\fBin-exec-mode\fR, disables the display of banner message when in remote
-command mode only.
-.sp
-The default value is \fBno\fR, which means that the banner is displayed unless
-the log level is \fBQUIET\fR, \fBFATAL\fR, or \fBERROR\fR. See also the
-\fBBanner\fR option in \fBsshd_config\fR(4). This option applies to protocol
-version 2 only.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDynamicForward\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies that a TCP/IP port on the local machine be forwarded over the secure
-channel. The application protocol is then used to determine where to connect to
-from the remote machine.
-.sp
-The argument must be \fB[\fR\fIbind_address\fR\fB:]\fR\fIport\fR. IPv6
-addresses can be specified by enclosing addresses in square brackets or by
-using an alternative syntax: \fB[\fR\fIbind_address\fR\fB/]\fR\fIport\fR. By
-default, the local port is bound in accordance with the \fBGatewayPorts\fR
-setting. However, an explicit \fIbind_address\fR can be used to bind the
-connection to a specific address. The \fIbind_address\fR of \fBlocalhost\fR
-indicates that the listening port be bound for local use only, while an empty
-address or \fB*\fR indicates that the port should be available from all
-interfaces.
-.sp
-Currently the \fBSOCKS4\fR and \fBSOCKS5\fR protocols are supported, and
-\fBssh\fR acts as a \fBSOCKS\fR server. Multiple forwardings can be specified
-and additional forwardings can be specified on the command line. Only a user
-with enough privileges can forward privileged ports.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEscapeChar\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sets the escape character. The default is tilde (\fB~\fR). The escape character
-can also be set on the command line. The argument should be a single character,
-\fB^\fR, followed by a letter, or \fBnone\fR to disable the escape character
-entirely (making the connection transparent for binary data).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBFallBackToRsh\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies that if connecting with \fBssh\fR fails due to a connection refused
-error (there is no \fBsshd\fR(1M) listening on the remote host), \fBrsh\fR(1)
-should automatically be used instead (after a suitable warning about the
-session being unencrypted). The argument must be \fByes\fR or \fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBForwardAgent\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether the connection to the authentication agent (if any) is
-forwarded to the remote machine. The argument must be \fByes\fR or \fBno\fR.
-The default is \fBno\fR.
-.sp
-Agent forwarding should be enabled with caution. Users with the ability to
-bypass file permissions on the remote host (for the agent's Unix-domain socket)
-can access the local agent through the forwarded connection. An attacker cannot
-obtain key material from the agent, however he can perform operations on the
-keys that enable him to authenticate using the identities loaded into the
-agent.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBForwardX11\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether X11 connections are automatically redirected over the secure
-channel and \fBDISPLAY\fR set. The argument must be \fByes\fR or \fBno\fR. The
-default is \fBno\fR.
-.sp
-X11 forwarding should be enabled with caution. Users with the ability to bypass
-file permissions on the remote host (for the user's X authorization database)
-can access the local \fBX11\fR display through the forwarded connection. An
-attacker might then be able to perform activities such as keystroke monitoring.
-See the \fBForwardX11Trusted\fR option for more information how to prevent
-this.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBForwardX11Trusted\fR\fR
-.ad
-.sp .6
-.RS 4n
-If this option is set to \fByes\fR, remote X11 clients have full access to the
-original X11 display. This option is set to \fByes\fR by default.
-.sp
-If this option is set to \fBno\fR, remote X11 clients are considered untrusted
-and prevented from stealing or tampering with data belonging to trusted X11
-clients. Furthermore, the \fBxauth\fR(1) token used for the session is set to
-expire after 20 minutes. Remote clients are refused access after this time.
-.sp
-See the X11 SECURITY extension specification for full details on the
-restrictions imposed on untrusted clients.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBGatewayPorts\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether remote hosts are allowed to connect to local forwarded ports.
-By default, \fBssh\fR binds local port forwardings to the loopback address.
-This prevents other remote hosts from connecting to forwarded ports.
-\fBGatewayPorts\fR can be used to specify that \fBssh\fR should bind local port
-forwardings to the wildcard address, thus allowing remote hosts to connect to
-forwarded ports. The argument must be \fByes\fR or \fBno\fR. The default is
-\fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBGlobalKnownHostsFile\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a file to use instead of \fB/etc/ssh/ssh_known_hosts\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBGSSAPIAuthentication\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables/disables GSS-API user authentication. The default is \fByes\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBGSSAPIDelegateCredentials\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables/disables GSS-API credential forwarding. The default is \fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBGSSAPIKeyExchange\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables/disables GSS-API-authenticated key exchanges. The default is \fByes\fR.
-.sp
-This option is intended primarily to allow users to disable the use of GSS-API
-key exchange for SSHv2 when it would otherwise be selected and then fail (due
-to server misconfiguration, for example). SSHv2 key exchange failure always
-results in disconnection.
-.sp
-This option also enables the use of the GSS-API to authenticate the user to the
-server after the key exchange. GSS-API key exchange can succeed but the
-subsequent authentication using the GSS-API fail if the server does not
-authorize the user's GSS principal name to the target user account.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHashKnownHosts\fR\fR
-.ad
-.sp .6
-.RS 4n
-Indicates that \fBssh\fR(1), should hash host names and addresses when they are
-added to \fB~/.ssh/known_hosts\fR. These hashed names can be used normally by
-\fBssh\fR(1) and \fBsshd\fR(1M), but they do not reveal identifying information
-should the file's contents be disclosed. The default is \fBno\fR. Existing
-names and addresses in known hosts files are not be converted automatically,
-but can be manually hashed using \fBssh-keygen\fR(1).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHost\fR\fR
-.ad
-.sp .6
-.RS 4n
-Restricts the following declarations (up to the next \fBHost\fR keyword) to be
-only for those hosts that match one of the patterns given after the keyword. An
-asterisk (\fB*\fR) and a question mark (\fB?\fR) can be used as wildcards in
-the patterns. A single asterisk as a pattern can be used to provide global
-defaults for all hosts. The host is the host name argument given on the command
-line (that is, the name is not converted to a canonicalized host name before
-matching).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHostbasedAuthentication\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to try \fBrhosts\fR-based authentication with public key
-authentication. The argument must be \fByes\fR or \fBno\fR. The default is
-\fBno\fR. This option applies to protocol version 2 only and is similar to
-\fBRhostsRSAAuthentication\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHostKeyAlgorithms\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the protocol version 2 host key algorithms that the client wants to
-use in order of preference. The default for this option is:
-\fBssh-rsa,ssh-dss\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHostKeyAlias\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies an alias that should be used instead of the real host name when
-looking up or saving the host key in the host key database files. This option
-is useful for tunneling \fBssh\fR connections or for multiple servers running
-on a single host.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHostName\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the real host name to log into. This can be used to specify nicknames
-or abbreviations for hosts. Default is the name given on the command line.
-Numeric IP addresses are also permitted (both on the command line and in
-\fBHostName\fR specifications).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBIdentityFile\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a file from which the user's RSA or DSA authentication identity is
-read. The default is \fB$HOME/.ssh/identity\fR for protocol version 1 and
-\fB$HOME/.ssh/id_rsa\fR and \fB$HOME/.ssh/id_dsa\fR for protocol version 2.
-Additionally, any identities represented by the authentication agent is used
-for authentication. The file name can use the tilde syntax to refer to a user's
-home directory. It is possible to have multiple identity files specified in
-configuration files; all these identities is tried in sequence.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBIgnoreIfUnknown\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a comma-separated list of \fBssh_config\fR parameters, which, if
-unknown to \fBssh\fR(1), are to be ignored by \fBssh\fR.
-.sp
-This parameter is primarily intended to be used in the per-user
-\fBssh_config\fR, \fB~/.ssh/config\fR. While this parameter can also be used in
-the system wide \fB/etc/ssh/ssh_config\fR file, it is generally useless as the
-capabilities of the \fBssh\fR(1) client on that host should match that file.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCPKeepAlive\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether the system should send TCP keepalive messages to the other
-side. If they are sent, death of the connection or crash of one of the machines
-is properly noticed. However, this means that connections die if the route is
-down temporarily, which can be a source of annoyance.
-.sp
-The default is \fByes\fR (to send keepalives), which means the client notices
-if the network goes down or the remote host dies. This is important in scripts,
-and many users want it too. To disable keepalives, the value should be set to
-\fBno\fR in both the server and the client configuration files.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBLocalForward\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies that a TCP/IP port on the local machine be forwarded over the secure
-channel to a given \fIhost\fR:\fIport\fR from the remote machine. The first
-argument must be \fB[\fR\fIbind_address\fR\fB:]\fR\fIport\fR and the second
-must be \fIhost\fR\fB:\fR\fIport\fR. IPv6 addresses can be specified by
-enclosing addresses in square brackets or by using an alternative syntax:
-\fB[\fR\fIbind_address\fR\fB/]\fR\fIport\fR and \fIhost\fR\fB/\fR\fIport\fR.
-Multiple forwardings can be specified and additional forwardings can be given
-on the command line. Only a user with enough privileges can forward privileged
-ports. By default, the local port is bound in accordance with the
-\fBGatewayPorts\fR setting. However, an explicit \fIbind_address\fR can be used
-to bind the connection to a specific address. The \fIbind_address\fR of
-\fIlocalhost\fR indicates that the listening port be bound for local use only,
-while an empty address or \fB*\fR indicates that the port should be available
-from all interfaces.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBLogLevel\fR\fR
-.ad
-.sp .6
-.RS 4n
-Gives the verbosity level that is used when logging messages from \fBssh\fR.
-The possible values are: \fBFATAL\fR, \fBERROR\fR, \fBQUIET\fR, \fBINFO\fR,
-\fBVERBOSE\fR, \fBDEBUG\fR, \fBDEBUG1\fR, \fBDEBUG2\fR, and \fBDEBUG3\fR. The
-default is \fBINFO\fR. \fBDEBUG\fR and \fBDEBUG1\fR are equivalent.
-\fBDEBUG2\fR and \fBDEBUG3\fR each specify higher levels of verbose output.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBMACs\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the MAC (message authentication code) algorithms in order of
-preference. The MAC algorithm is used in protocol version 2 for data integrity
-protection. Multiple algorithms must be comma-separated. The default is
-\fBhmac-md5,hmac-sha1,hmac-sha1-96,hmac-md5-96\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBNoHostAuthenticationForLocalhost\fR\fR
-.ad
-.sp .6
-.RS 4n
-This option can be used if the home directory is shared across machines. In
-this case \fBlocalhost\fR refers to a different machine on each of the machines
-and the user gets many warnings about changed host keys. However, this option
-disables host authentication for \fBlocalhost\fR. The argument to this keyword
-must be \fByes\fR or \fBno\fR. The default is to check the host key for
-\fBlocalhost\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBNumberOfPasswordPrompts\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the number of attempts before giving up for password and
-keyboard-interactive methods. Attempts for each method are counted separately.
-The argument to this keyword must be an integer. The default is 3.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPasswordAuthentication\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to use password authentication. The argument to this keyword
-must be \fByes\fR or \fBno\fR. This option applies to both protocol versions 1
-and 2. The default is \fByes\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPort\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the port number to connect on the remote host. The default is 22.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPreferredAuthentications\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the order in which the client should try protocol 2 authentication
-methods. This allows a client to prefer one method (for example,
-\fBkeyboard-interactive\fR) over another method (for example, \fBpassword\fR).
-The default for this option is:
-\fBhostbased,publickey,keyboard-interactive,password\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBProtocol\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the protocol versions \fBssh\fR should support in order of
-preference. The possible values are \fB1\fR and \fB2\fR. Multiple versions must
-be comma-separated. The default is \fB2,1\fR. This means that \fBssh\fR tries
-version 2 and falls back to version 1 if version 2 is not available.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBProxyCommand\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the command to use to connect to the server. The command string
-extends to the end of the line, and is executed with \fB/bin/sh\fR. In the
-command string, \fB%h\fR is substituted by the host name to connect and
-\fB%p\fR by the port. The string can be any valid command, and should read from
-its standard input and write to its standard output. It should eventually
-connect an \fBsshd\fR(1M) server running on some machine, or execute \fBsshd\fR
-\fB-i\fR somewhere. Host key management is done using the \fBHostName\fR of the
-host being connected (defaulting to the name typed by the user).
-\fBCheckHostIP\fR is not available for connects with a proxy command.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPubkeyAuthentication\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to try public key authentication. The argument to this
-keyword must be \fByes\fR or \fBno\fR. The default is \fByes\fR. This option
-applies to protocol version 2 only.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBRekeyLimit\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the maximum amount of data that can be transmitted before the session
-key is renegotiated. The argument is the number of bytes, with an optional
-suffix of \fBK\fR, \fBM\fR, or \fBG\fR to indicate Kilobytes, Megabytes, or
-Gigabytes, respectively. The default is between \fB1G\fR and \fB4G\fR,
-depending on the cipher. This option applies to protocol version 2 only.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBRemoteForward\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies that a TCP/IP port on the remote machine be forwarded over the secure
-channel to a given \fB\fIhost\fR:\fIport\fR\fR from the local machine. The
-first argument must be \fB[\fR\fIbind_address\fR\fB:]\fR\fIport\fR and the
-second argument must be \fIhost\fR\fB:\fR\fIport\fR. IPv6 addresses can be
-specified by enclosing addresses in square brackets or by using an alternative
-syntax: \fB[\fR\fIbind_address\fR\fB/]\fR\fIport\fR and
-\fIhost\fR\fB/\fR\fIport\fR. You can specify multiple forwardings and give
-additional forwardings on the command line. Only a user with enough privileges
-can forward privileged ports.
-.sp
-If the \fIbind_address\fR is not specified, the default is to only bind to
-loopback addresses. If the \fIbind_address\fR is \fB*\fR or an empty string,
-then the forwarding is requested to listen on all interfaces. Specifying a
-remote \fIbind_address\fR only succeeds if the server's \fBGatewayPorts\fR
-option is enabled. See \fBsshd_config\fR(4).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBRhostsAuthentication\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to try \fBrhosts\fR-based authentication. This declaration
-affects only the client side and has no effect whatsoever on security.
-Disabling \fBrhosts\fR authentication can reduce authentication time on slow
-connections when \fBrhosts\fR authentication is not used. Most servers do not
-permit \fBRhostsAuthentication\fR because it is not secure (see
-\fBRhostsRSAAuthentication\fR). The argument to this keyword must be \fByes\fR
-or \fBno\fR. This option applies only to the protocol version 1 and requires
-that \fBssh\fR be \fBsetuid\fR root and that \fBUsePrivilegedPort\fR be set to
-\fByes\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBRhostsRSAAuthentication\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to try \fBrhosts\fR-based authentication with RSA host
-authentication. This is the primary authentication method for most sites. The
-argument must be \fByes\fR or \fBno\fR. This option applies only to the
-protocol version 1 and requires that \fBssh\fR be \fBsetuid\fR root and that
-\fBUsePrivilegedPort\fR be set to \fByes\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBServerAliveCountMax\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sets the number of server alive messages which can be sent without \fBssh\fR(1)
-receiving messages back from the server. If this threshold is reached while
-server alive messages are being sent, \fBssh\fR disconnects from the server,
-terminating the session. The use of server alive messages differs from
-\fBTCPKeepAlive\fR. Server alive messages are sent through the encrypted
-channel and are not spoofable. The TCP keep alive option enabled by
-\fBTCPKeepAlive\fR is spoofable. The server alive mechanism is valuable when
-the client or server depend on knowing when a connection has become inactive.
-.sp
-The default value is 3. If, for example, \fBServerAliveInterval\fR is set to 15
-and \fBServerAliveCountMax\fR is left at the default, \fBssh\fR disconnects in
-45-60 seconds if the server becomes unresponsive. This option applies to
-protocol version 2 only.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBServerAliveInterval\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sets a timeout interval in seconds after which if no data has been received
-from the server, \fBssh\fR(1) sends a message through the encrypted channel to
-request a response from the server. The default is 0, indicating that these
-messages are not sent to the server. This option applies to protocol version 2
-only.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBStrictHostKeyChecking\fR\fR
-.ad
-.sp .6
-.RS 4n
-If this flag is set to \fByes\fR, \fBssh\fR never automatically adds host keys
-to the \fB$HOME/.ssh/known_hosts\fR file, and refuses to connect hosts whose
-host key has changed. This provides maximum protection against trojan horse
-attacks. However, it can be a source of inconvenience if you do not have good
-\fB/etc/ssh/ssh_known_hosts\fR files installed and frequently connect new
-hosts. This option forces the user to manually add any new hosts. Normally this
-option is disabled, and new hosts are automatically added to the known host
-files. The host keys of known hosts are verified automatically in either case.
-The argument must be \fByes\fR or \fBno\fR or \fBask\fR. The default is
-\fBask\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBUseOpenSSLEngine\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether \fBssh\fR should use the OpenSSL PKCS#11 engine for
-offloading cryptographic operations to the Cryptographic Framework.
-Cryptographic operations are accelerated according to the available installed
-plug-ins. When no suitable plug-ins are present this option does not have an
-effect. The default is \fByes\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBUsePrivilegedPort\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies whether to use a privileged port for outgoing connections. The
-argument must be \fByes\fR or \fBno\fR. The default is \fByes\fR. Setting this
-option to \fBno\fR turns off \fBRhostsAuthentication\fR and
-\fBRhostsRSAAuthentication\fR. If set to \fByes\fR \fBssh\fR must be
-\fBsetuid\fR root. Defaults to \fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBUser\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the user to log in as. This can be useful if you have different user
-names on different machines. This saves you the trouble of having to remember
-to enter the user name on the command line.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBUserKnownHostsFile\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies a file to use instead of \fB$HOME/.ssh/known_hosts\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBUseRsh\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies that \fBrlogin\fR or \fBrsh\fR should be used for this host. It is
-possible that the host does not support the \fBssh\fR protocol. This causes
-\fBssh\fR to immediately execute \fBrsh\fR(1). All other options (except
-\fBHostName\fR) are ignored if this has been specified. The argument must be
-\fByes\fR or \fBno\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBXAuthLocation\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the location of the \fBxauth\fR(1) program. The default is
-\fB/usr/openwin/bin/xauth\fR.
-.RE
-
-.SH SEE ALSO
-.LP
-\fBrsh\fR(1), \fBssh\fR(1), \fBssh-http-proxy-connect\fR(1),
-\fBssh-keygen\fR(1), \fBssh-socks5-proxy-connect\fR(1), \fBsshd\fR(1M),
-\fBsshd_config\fR(4), \fBkerberos\fR(5)
-.sp
-.LP
-\fIRFC 4252\fR
